Module java.desktop
Package javax.swing.plaf.metal

# Class MetalBorders.ToolBarBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ToolBarBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`, `SwingConstants`

Enclosing class:
  MetalBorders

    public static class MetalBorders.ToolBarBorder
    extends AbstractBorder
    implements UIResource, SwingConstants

The class represents the border of a `JToolBar`.

## Field Summary

### Fields declared in interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ToolBarBorder()` |

## Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToolBarBorder

public ToolBarBorder()